@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Oswald:wght@200..700&display=swap');

body {
  background-color: rgb(255, 255, 255);
  font-family: "Josefin Sans", sans-serif;
  overflow-x: hidden; /* 禁止左右滑动 */
  }


.navbar{
background-color: rgba(255, 255, 255, 0);
transition: background-color 0.3s ease; /* 添加過渡效果，時間為0.3秒，緩和效果為ease */
}

.navbar-brand{
  margin-left: 10px;
}

/* 自訂導覽列樣式 */
.navbar-collapse {
  position: fixed;
  top: 0;
  right: -300px; /* 將right設為-300px，將其隱藏在右側 */
  height: 100vh;
  width: 300px;
  background-color: rgba(217, 217, 217, 0.7);
  padding: 20px;
  transition: right 0.3s ease; /* 添加位移的過渡效果 */
  z-index: 100; /* 設定z-index，以免被其他元素遮擋 */
}

/* 當導覽列顯示時，將right設為0，使其從右側滑入 */
.navbar-collapse.show {
  right: 0;
}

/* 關閉按鈕的樣式 */
.btn-close {
  position: absolute;
  top: 30px;
  right: 30px;
  transition: transform 0.5s; /* 添加旋轉的過渡效果，這裡改為0.5秒 */
  z-index: 10000;
}


.navbar-nav li a {
  position: relative;
  color: rgb(78, 78, 78) !important;
  font-size: 18px;
  text-align: center;
}

.navbar-nav li a::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 15px;
  left: 50%; /* 設置初始時線的起始位置在中間 */
  width: 10%; /* 設置初始寬度為10% */
  height: 2px;
  background-color: #e8d7d7;
  transition: width 0.3s, left 0.3s; /* 添加寬度和左側位置變化的過渡效果 */
  transform: translateX(-50%); /* 將線水平居中對齊連結文字 */
}

/* 滑鼠指到時讓線變長且左右平均擴展20% */
.navbar-nav li a:hover::after {
  width: 30%; /* 將線的寬度設置為30%以展開線的長度 */
  
}

.navbar-toggler{
  font-size:20px;
  margin-top: 0px;
  margin-right: 20px;
  border: none; /* 移除按鈕的邊框 */
  background-color: transparent; /* 設定按鈕的背景為透明 */
  padding: 0; /* 移除按鈕的內邊距，讓按鈕沒有額外的空間 */
}


/* 以下 CSS 用於將 Instagram 和 Facebook 圖示顏色調整為黑色 */
.header-social-area{
  position: absolute;
  right: 70px;
  display: flex;
  align-items: center;
}


.header-social-area a i {
  color: rgb(0, 0, 0);
  font-size: 25px;
  margin-top: 5px;
  margin-right: 25px;
}



/* 調整導覽連結&文字的寬度和間距 */
.nav-link {
  margin-top: 30px;
  padding: 25px 20px; /* 將左右內邊距減少為 25px，保持上下內 */
}

.cart-quantity {
  position: absolute;
  top: 15px; /* 距離圖片上方的距離，可根據需要調整 */
  right: 10px; /* 距離圖片右側的距離，可根據需要調整 */
  background-color: rgba(0, 0, 0, 0.6); /* 圓圈背景色 */
  color: rgb(255, 255, 255); /* 文字顏色 */
  border-radius: 50%; /* 圓形 */
  padding: 3px 10px; /* 內距，調整圓圈大小 */
  font-size: 12px; /* 文字大小 */
  font-weight: bold; /* 粗體 */
}


.Login_btn {
  background-color: rgb(193, 171, 148);
  color: rgb(84, 84, 84);
  margin: 5px auto; /* 自動置中 */
  width: 230px;
  border: none; /* 移除外框 */
  padding: 5px; /* 添加一些填充以改善按钮外观 */
  border-radius: 10px; /* 设置圆角半径，使边角圆滑 */
  cursor: pointer; /* 鼠标悬停时显示手型光标 */
  transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

.Login_btn:hover {
  background-color: rgb(109, 91, 73);
  color: rgb(255, 255, 255);
}

.footer{
  padding-top: 50px;
  text-align: center;
  color: rgb(92, 86, 78);
  font-size: 13px;
}

.container {
  overflow-x: hidden; /* 禁止左右滑动 */
  max-width: auto;
  margin-top: 80px;
  padding: 20px;
}


